﻿local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 38530 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()

local ThreatLib = _G.ThreatLib

local BB = AceLibrary("Babble-Boss-2.2")

-- You need to register the module with the localized mob name, as this is used to 
local c = BB["Hydross the Unstable"]

local Hydross = ThreatLib:GetModule("NPCCore"):NewModule(c)

local poisonTriggerStrings = {
	["enUS"] = "Aaghh, the poison...",
	["deDE"] = "Aahh, das Gift...",
	["frFR"] = "Aaarrgh, le poison…",
	["koKR"] = "으아아, 독이...",
	["zhTW"] = nil
}

local waterTriggerStrings = {
	["enUS"] = "Better, much better.",
	["deDE"] = "Besser, viel besser.",
	["frFR"] = "Ça va mieux. Beaucoup mieux.",
	["koKR"] = "아... 기분이 훨씬 좋군.",
	["zhTW"] = nil
}

local spawnNameStrings = {
	["Tainted"] = {
		["enUS"] = "Tainted Spawn of Hydross",
		["deDE"] = nil,
		["frFR"] = nil,
		["koKR"] = "오염된 히드로스의 피조물",
		["zhTW"] = nil
	},
	["Pure"] = {
		["enUS"] = "Pure Spawn of Hydross",
		["deDE"] = nil,
		["frFR"] = nil,
		["koKR"] = "순수한 히드로스의 피조물",
		["zhTW"] = nil
	}
}

function Hydross:Init()
	local poisonPhase = poisonTriggerStrings[_G.GetLocale()]
	local waterPhase = waterTriggerStrings[_G.GetLocale()]
	poisonTriggerStrings = nil
	waterTriggerStrings = nil
	
	self:RegisterCombatant(BB["Hydross the Unstable"], true)
	
	self.pureSpawnName = spawnNameStrings["Tainted"][_G.GetLocale()]
	self.taintedSpawnName = spawnNameStrings["Pure"][_G.GetLocale()]
	if self.pureSpawnName and self.taintedSpawnName then
		self:RegisterCombatant(self.pureSpawnName, self.spawnDeath)
		self:RegisterCombatant(self.taintedSpawnName, self.spawnDeath)
	end

	-- To register a callback to a yell or emote:
	-- self:RegisterChatEvent([yell|event], localizedMobName, yellOrEmoteToTriggerOn, callbackFunction)
	
	self:RegisterChatEvent("yell", BB["Hydross the Unstable"], poisonPhase, self.phaseTransition)
	self:RegisterChatEvent("yell", BB["Hydross the Unstable"], waterPhase, self.phaseTransition)
end

function Hydross:StartFight()
	self:SetNumberOfMobs(1)
end

function Hydross:spawnDeath()
	self:SetNumberOfMobs(self:GetNumberOfMobs() - 1)
end

function Hydross:phaseTransition()
	self:SetNumberOfMobs(5)		-- Hydross + 4 spawns
	self:WipeRaidThreatOnMob(BB["Hydross the Unstable"])
	self:WipeRaidThreatOnMob(self.pureSpawnName)
	self:WipeRaidThreatOnMob(self.taintedSpawnName)
end

table.insert(ThreatLib.UpvalueFixers, function(lib)
	ThreatLib = lib
	Hydross = ThreatLib:GetModule("NPCCore"):GetModule(c)
end)

end
