﻿local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 38530 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()

local ThreatLib = _G.ThreatLib

local BB = AceLibrary("Babble-Boss-2.2")

-- You need to register the module with the localized mob name, as this is used to 
local c = BB["Void Reaver"]

local VoidReaver = ThreatLib:GetModule("NPCCore"):NewModule(c)

local knockawayStrings = {
	["enUS"] = "Knock Away",	
	["deDE"] = nil,
	["frFR"] = nil,
	["koKR"] = nil,
	["zhTW"] = nil	
}

local knockAway = knockawayStrings[_G.GetLocale()]

function VoidReaver:Init()
	self:RegisterCombatant(BB["Void Reaver"], true)

	if knockAway then
		self.attacks[knockAway] = function(self, mob, target) self:ModifyThreat(mob, target, 0.75, 0) end
	end
end

function VoidReaver:StartFight()
	self:SetNumberOfMobs(1)
end

table.insert(ThreatLib.UpvalueFixers, function(lib)
	ThreatLib = lib
	VoidReaver = ThreatLib:GetModule("NPCCore"):GetModule(c)
end)

end
