-----------------------------------------------------------------------------

if not Aloft or not Aloft:HasModule("RaidIcon") then return end
local AloftRaidIcon = Aloft:GetModule("RaidIcon")
local L = AceLibrary("AceLocale-2.2"):new("AloftRaidIconOptions")

-----------------------------------------------------------------------------

L:RegisterTranslations("enUS", function() return {
	["Raid Icon"] = true,
	["Raid icon placement options"] = true,
	["Enable"] = true,
	["Enable raid icon display on the nameplate"] = true,
	["Size"] = true,
	["Size in pixels of the raid icon"] = true,
	["Position"] = true,
	["Adjust raid icon position"] = true,
	["X Offset"] = true,
	["X offset of the raid icon"] = true,
	["Y Offset"] = true,
	["Y offset of the raid icon"] = true,
	["Anchor"] = true, 
	["Sets the anchor for the raid icon"] = true,
	["Anchor To"] = true, 
	["Sets the relative point on the health bar to anchor the raid icon"] = true,
	["Alpha"] = true,
	["Sets the raid icon alpha"] = true,
} end)

L:RegisterTranslations("koKR", function() return {
	["Raid Icon"] = "공격대 아이콘",
	["Raid icon placement options"] = "공격대 아이콘 배치 설정",
	["Enable"] = "사용",
	["Enable raid icon display on the nameplate"] = "이름표에 공격대 아이콘을 표시합니다.",
	["Size"] = "크기",
	["Size in pixels of the raid icon"] = "공격대 아이콘의 크기입니다.",
	["Position"] = "위치",
	["Adjust raid icon position"] = "공격대 아이콘 위치 조절",
	["X Offset"] = "X 좌표",
	["X offset of the raid icon"] = "공격대 아이콘의 X 좌표 입니다.",
	["Y Offset"] = "Y 좌표",
	["Y offset of the raid icon"] = "공격대 아이콘의 Y 좌표 입니다.",
	["Anchor"] = "앵커", 
	["Sets the anchor for the raid icon"] = "공격대 아이콘의 앵커를 설정합니다.",
	["Anchor To"] = "앵커 위치", 
	["Sets the relative point on the health bar to anchor the raid icon"] = "생명력 바에서 공격대 아이콘의 앵커 위치를 설정합니다.",
	["Alpha"] = "투명도",
	["Sets the raid icon alpha"] = "공격대 아이콘의 투명도를 설정합니다.",
} end)

-----------------------------------------------------------------------------

Aloft.Options.args.raidIcon =
{
	type = 'group',
	name = L["Raid Icon"],
	desc = L["Raid icon placement options"],
	disabled = function() return not Aloft:IsActive() end,
	args =
	{
		enable = 
		{
			type = 'toggle',
			name = L["Enable"],
			desc = L["Enable raid icon display on the nameplate"],
			get = function() return AloftRaidIcon.db.profile.enable end,
			set = function(v) AloftRaidIcon.db.profile.enable = v AloftRaidIcon:UpdateAll() end,
			order = 1
		},
		position =
		{
			type = 'group',
			name = L["Position"],
			desc = L["Adjust raid icon position"],
			disabled = function() return not AloftRaidIcon.db.profile.enable end,
			args =
			{
				anchor = {
					type = "text", 
					name = L["Anchor"], 
					desc = L["Sets the anchor for the raid icon"],
					get = function() return AloftRaidIcon.db.profile.point end,
					set = function(v) AloftRaidIcon.db.profile.point = v AloftRaidIcon:UpdateAll() end,
					validate = {"TOPLEFT", "TOP", "TOPRIGHT", "LEFT", "CENTER", "RIGHT", "BOTTOMLEFT", "BOTTOM", "BOTTOMRIGHT"},
				},
				anchorto = {
					type = "text", 
					name = L["Anchor To"], 
					desc = L["Sets the relative point on the health bar to anchor the raid icon"],
					get = function() return AloftRaidIcon.db.profile.relativeToPoint end,
					set = function(v) AloftRaidIcon.db.profile.relativeToPoint = v AloftRaidIcon:UpdateAll() end,
					validate = {"TOPLEFT", "TOP", "TOPRIGHT", "LEFT", "CENTER", "RIGHT", "BOTTOMLEFT", "BOTTOM", "BOTTOMRIGHT"},
				},
				offsetX =
				{
					type = 'range',
					name = L["X Offset"],
					desc = L["X offset of the raid icon"],
					min = -32,
					max = 32,
					step = 1,
					get = function() return AloftRaidIcon.db.profile.offsetX end,
					set = function(v) AloftRaidIcon.db.profile.offsetX = v AloftRaidIcon:UpdateAll() end
				},
				offsetY =
				{
					type = 'range',
					name = L["Y Offset"],
					desc = L["Y offset of the raid icon"],
					min = -32,
					max = 32,
					step = 1,
					get = function() return AloftRaidIcon.db.profile.offsetY end,
					set = function(v) AloftRaidIcon.db.profile.offsetY = v AloftRaidIcon:UpdateAll() end
				},
			},
		},
		size =
		{
			type = 'range',
			name = L["Size"],
			desc = L["Size in pixels of the raid icon"],
			min = 4,
			max = 64,
			step = 1,
			disabled = function() return not AloftRaidIcon.db.profile.enable end,
			get = function() return AloftRaidIcon.db.profile.size end,
			set = function(v) AloftRaidIcon.db.profile.size = v AloftRaidIcon:UpdateAll() end
		},
		alpha =
		{
			type = 'range',
			name = L["Alpha"],
			desc = L["Sets the raid icon alpha"],
			min = 0,
			max = 1.0,
			step = 0.05,
			disabled = function() return not AloftRaidIcon.db.profile.enable end,
			get = function() return AloftRaidIcon.db.profile.alpha end,
			set = function(v) AloftRaidIcon.db.profile.alpha = v AloftRaidIcon:UpdateAll() end
		},
	},
}

-----------------------------------------------------------------------------
